# class TAddress |
Full name | `Snmp::TAddress`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TAddress ()
- TAddress (void* data, int len)
- ~TAddress ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- static const u_int8_t s_TAddressSizeMinSize
- static const u_int8_t s_TAddressSizeMaxSize
- OctetString m_TAddress

## Detailed Description

static const int s_type | ### s_type

static const u_int8_t s_TAddressSizeMinSize | ### s_TAddressSizeMinSize

static const u_int8_t s_TAddressSizeMaxSize | ### s_TAddressSizeMaxSize

OctetString m_TAddress | ### m_TAddress

TAddress () | ### TAddress

TAddress (void* data, int len) | ### TAddress

~TAddress () | ### ~TAddress

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.